Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr
Class ListElement

    java.lang.Object
      org.apache.fop.layoutmgr.ListElement

Direct Known Subclasses:
  KnuthElement, UnresolvedListElement

    public abstract class ListElement

extends java.lang.Object

This class is the base class for all kinds of elements that are added to element lists. There are basically two kinds of list elements: Knuth elements and unresolved elements like spaces, border and padding elements which are converted to Knuth elements prior to the breaking process.

Constructor Summary
`ListElement(Position position)` Main constructor

Method Summary
`LayoutManager` | `getLayoutManager()`
`Position` | `getPosition()`
`boolean` | `isBox()`
`boolean` | `isForcedBreak()`
`boolean` | `isGlue()`
`boolean` | `isPenalty()`
`boolean` | `isUnresolvedElement()`
`void` | `setPosition(Position position)` Change the Position stored in this element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListElement

    public ListElement(Position position)

  Main constructor

  Parameters:
    `position` - the Position instance needed by the addAreas stage of the LMs.

Method Detail

### getPosition

    public Position getPosition()

  Returns:
    the Position instance for this element.

### setPosition

    public void setPosition(Position position)

  Change the Position stored in this element.

  Parameters:
    `position` - the Position instance

### getLayoutManager

    public LayoutManager getLayoutManager()

  Returns:
    the LayoutManager responsible for this element.

### isBox

    public boolean isBox()

  Returns:
    true if this element is a KnuthBox.

### isGlue

    public boolean isGlue()

  Returns:
    true if this element is a KnuthGlue.

### isPenalty

    public boolean isPenalty()

  Returns:
    true if this element is a KnuthPenalty.

### isForcedBreak

    public boolean isForcedBreak()

  Returns:
    true if the element is a penalty and represents a forced break.

### isUnresolvedElement

    public boolean isUnresolvedElement()

  Returns:
    true if the element is an unresolved element such as a space or a border.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.